blueyed writes

I have seen the following error during indexing. It seems to happen for every indexing error that occurred when updating the index.

:3:rcldb/rcldb.cpp:624:Db::add: docid 11668 added […/pyenv/tmp-system-rCCOzI/lib/python3.5/site-packages/pip/_vendor/requests|]
Traceback (most recent call last):
  File "/usr/share/recoll/filters/rclpython", line 163, in format
    for a,b,c,d,e in tokenize.tokenize(text.readline):
  File "/usr/lib/python3.5/tokenize.py", line 597, in _tokenize
    raise TokenError("EOF in multi-line statement", (lnum, 0))
tokenize.TokenError: ('EOF in multi-line statement', (22, 0))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/share/recoll/filters/rclpython", line 266, in <module >
    colorize_file(filepath, out)
  File "/usr/share/recoll/filters/rclpython", line 247, in colorize_file
    Parser(source, out=outstream).format()
  File "/usr/share/recoll/filters/rclpython", line 166, in format
    msg = ex[0]
TypeError: 'TokenError' object does not support indexing

Using recoll 1.22.4-1 on Arch Linux.

medoc writes

This message does not come from recoll itself, but from the rclpython input handler, which is used for indexing Python files (mostly to prettify them for preview).

My best guess would be that rclpython is not compatible with Python3.5

Arch is the only Linux system to install a Python 3 version as python, against the recommendations from the Python project, and this causes issues from time to time.

You could give a try to installing python2 and change the top line in rclpython to

#!/usr/bin/env python2